File: control

package info (click to toggle)
octave 4.0.3-3
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 94,200 kB
  • ctags: 52,925
  • sloc: cpp: 316,850; ansic: 43,469; fortran: 23,670; sh: 13,805; yacc: 8,204; objc: 7,939; lex: 3,631; java: 2,127; makefile: 1,746; perl: 1,022; awk: 988
file content (228 lines) | stat: -rw-r--r-- 10,249 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
Source: octave
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: S├ębastien Villemot <sebastien@debian.org>,
  Rafael Laboissiere <rafael@debian.org>
Build-Depends: automake,
  debhelper (>= 9.20160114~),
  default-jdk,
  desktop-file-utils,
  dh-autoreconf,
  dh-exec,
  dpkg-dev (>= 1.16.1),
  epstool,
  flex,
  gawk,
  gfortran,
  ghostscript,
  gnuplot-nox,
  javahelper,
  less,
  libarpack2-dev (>= 2.1+parpack96.dfsg-2),
  libblas-dev (>= 1.2-7),
  libcurl4-gnutls-dev | libcurl4-dev,
  libfftw3-dev,
  libfltk1.3-dev,
  libfontconfig1-dev,
  libftgl-dev,
  libgl2ps-dev,
  libglpk-dev (>= 4.15),
  libgraphicsmagick++1-dev,
  libhdf5-dev (>= 1.8.8),
  liblapack-dev (>= 3.4.1-4),
  libncurses5-dev,
  libosmesa6-dev,
  libpcre3-dev,
  libqhull-dev,
  libqrupdate-dev,
  libqscintilla2-dev,
  libqt4-dev,
  libqt4-opengl-dev,
  libreadline-dev,
  libsndfile1-dev,
  libsuitesparse-dev (>= 1:3.2.0),
  libxft-dev,
  portaudio19-dev,
  pstoedit,
  texinfo,
  texlive-generic-recommended,
  texlive-fonts-recommended,
  texlive-latex-base,
  transfig,
  unzip,
  xauth,
  xvfb,
  zip
Standards-Version: 3.9.8
Homepage: http://www.octave.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave.git

Package: octave
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, texinfo, octave-common (= ${source:Version}),
         liboctave3v5 (= ${binary:Version})
Recommends: gnuplot-x11 | gnuplot-qt, libopenblas-base | libatlas3-base,
 pstoedit,
 default-jre-headless [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !mips !mipsel !sparc !sparc64],
 octave-info
Suggests: octave-doc,
 octave-htmldoc
Conflicts: octave-java
Replaces: octave-java
Breaks: dynare (<< 4.4.3-2),
  h5utils (<= 1.12.1-2.1) [arm64],
  h5utils (<= 1.12.1-2.1+b1) [ppc64el],
  h5utils (<= 1.12.1-2.1+b2) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
  libsbml5-octave (<< 5.10.0+dfsg-1+b1) [amd64 armel armhf i386 s390x],
  octave-audio (<< 1.1.4-6),
  octave-biosig (<< 1.3.0-2+b2) [ppc64el],
  octave-biosig (<< 1.3.0-2+b3) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
  octave-communications (<< 1.2.1-1),
  octave-control (<< 2.8.3-1),
  octave-econometrics (<< 1:1.1.1-2+b1) [arm64 ppc64el],
  octave-econometrics (<< 1:1.1.1-2+b2) [amd64 armel armhf kfreebsd-amd64 mips mipsel powerpc s390x sparc],
  octave-econometrics (<< 1:1.1.1-2+b3) [hurd-i386 i386 kfreebsd-i386],
  octave-gdf (<< 0.1.2-2+b1) [arm64],
  octave-gdf (<< 0.1.2-2+b2) [ppc64el],
  octave-gdf (<< 0.1.2-2+b4) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
  octave-general (<< 2.0.0-1),
  octave-geometry (<< 1.7.0-2+b1) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
  octave-gmt (<< 4.5.12-1+b1) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
  octave-gsl (<< 1.0.8-6+b1) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
  octave-image (<< 2.4.0-1),
  octave-io (<< 2.2.4-1+b1) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
  octave-lhapdf (<< 5.9.1-3+b2) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
  octave-linear-algebra (<< 2.2.2-1),
  octave-ltfat (<< 2.1.0+dfsg-1),
  octave-miscellaneous (<< 1.2.1-2+b1) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
  octave-mpi (<= 1.2.0-1) [amd64 arm64 armel armhf kfreebsd-amd64 mips mipsel powerpc ppc64el s390x sparc],
  octave-mpi (<= 1.2.0-1+b1) [hurd-i386 i386 kfreebsd-i386],
  octave-msh (<< 1.0.10-1+b1) [amd64 armel armhf powerpc],
  octave-msh (<< 1.0.10-1+b2) [i386],
  octave-nan (<< 2.8.1-1),
  octave-nlopt (<< 2.4.1+dfsg-2),
  octave-nurbs (<< 1.3.9-1),
  octave-ocs (<< 0.1.3-2+b1) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
  octave-octcdf (<< 1.1.8-1),
  octave-odepkg (<< 0.8.5-1),
  octave-optim (<< 1.4.0-1+b1) [amd64 arm64 armel armhf kfreebsd-amd64 mips mipsel powerpc ppc64el sparc],
  octave-optim (<< 1.4.0-1+b2) [hurd-i386 i386 kfreebsd-i386 s390x],
  octave-optiminterp (<< 0.3.4-2),
  octave-parallel (<< 3.0.0-1),
  octave-pfstools (<< 1.8.5-2.1),
  octave-plplot (<= 5.10.0+dfsg-1),
  octave-psychtoolbox-3 (<< 3.0.11.20140816.dfsg1-1+b2) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
  octave-quaternion (<< 2.2.2-1+b1) [amd64 arm64 armel armhf kfreebsd-amd64 mips mipsel powerpc ppc64el sparc],
  octave-quaternion (<< 2.2.2-1+b2) [hurd-i386 i386 kfreebsd-i386 s390x],
  octave-secs2d (<< 0.0.8-6),
  octave-signal (<< 1.3.0-1+b1) [amd64 arm64 armel armhf kfreebsd-amd64 mips mipsel powerpc ppc64el sparc s390x],
  octave-signal (<< 1.3.0-1+b2) [hurd-i386 i386 kfreebsd-i386],
  octave-sockets (<< 1.2.0-1),
  octave-strings (<< 1.1.0-2+b1) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
  octave-struct (<< 1.0.11-1),
  octave-sundials (<< 2.5.0-3+b1) [arm64],
  octave-sundials (<< 2.5.0-3+b2) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
  octave-symbolic (<< 2.2.2-1),
  octave-tsa (<< 4.2.9-1),
  octave-vlfeat (<< 0.9.17+dfsg0-6+b1) [arm64 ppc64el],
  octave-vlfeat (<< 0.9.17+dfsg0-6+b2) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
  pfstools (<< 1.8.5-2.1),
  sdpam (<< 7.3.9+dfsg-1+b1) [arm64 ppc64el],
  sdpam (<< 7.3.9+dfsg-1+b2) [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
  sdpam (<< 7.3.9+dfsg-1+b3) [hurd-i386]
Description: GNU Octave language for numerical computations
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave can be dynamically extended with user-supplied C++ files.

Package: octave-common
Depends: ${misc:Depends}
Architecture: all
Description: architecture-independent files for octave
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave can be dynamically extended with user-supplied C++ files.
 .
 This package provides the architecture-independent files (Octave scripts
 and other helper files).

Package: octave-doc
Depends: ${misc:Depends}
Architecture: all
Section: doc
Suggests: octave, xpdf | pdf-viewer
Description: PDF documentation on the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the following documentation in PDF format: a reference
 card in a4, letter and legal formats, a document on the C++ classes used by
 Octave, as well as the main octave documentation which is also included in
 info format in the octave-info package.

Package: octave-htmldoc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Suggests: octave, lynx-cur | www-browser
Description: HTML documentation on the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the following documentation in html format: a document
 on the C++ classes used by Octave, as well as the main octave documentation
 which is also included in info format in the main Octave package.

Package: octave-info
Architecture: all
Depends: info, ${misc:Depends}
Section: doc
Description: GNU Info documentation on the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the following documentation in info format: a document
 on the C++ classes used by Octave, as well as the main octave documentation
 which is needed for the 'help -i foo' command within Octave.

Package: liboctave3v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: liboctave3
Replaces: liboctave3
Multi-Arch: same
Section: libs
Description: Shared libraries of the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the shared libraries used by the interpreter.

Package: liboctave-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 liboctave3v5 (= ${binary:Version}), octave (= ${binary:Version}),
 libreadline-dev | libreadline6-dev | libreadline5-dev, libncurses5-dev,
 libhdf5-dev (>= 1.8.8) | libhdf5-openmpi-dev (>= 1.8.8) | libhdf5-mpich-dev (>= 1.8.8),
 libgl1-mesa-dev | libgl-dev,
 libblas-dev (>=1.2-7) | libblas.so, liblapack-dev (>=3.2.1-7) | liblapack.so,
 libfftw3-dev, gfortran, gcc, g++
Section: libdevel
Description: Development files for the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the header files and the mkoctfile script used for
 extending Octave via compiled code.